<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetStatus Method (IEdmTaskInstance)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmTaskInstance Interface : GetStatus Method (IEdmTaskInstance)

Visual Basic
C#
C++/CLI
Gets the current status of this task instance.

# Syntax

Visual Basic |
--- | ---

    Function GetStatus() As EdmTaskStatus

C# |
--- | ---

    EdmTaskStatus GetStatus()

C++/CLI |
--- | ---

    EdmTaskStatus GetStatus();

#### Return Value

Status as defined in EdmTaskStatus

# Remarks

The add-in calls this method regularly during the processing of EdmCmdType.EdmCmd_TaskRun to see if the task has been canceled or suspended in the task list user interface.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmTaskInstance Interface
IEdmTaskInstance Members
IEdmTaskInstance::SetStatus Method ()
Task Add-in Sample

# Availability

SOLIDWORKS PDM Professional 2010